- [HTTP request](https://docs.cloud.google.com/sql/docs/sqlserver/admin-api/rest/v1/instances/ListServerCertificates#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/sql/docs/sqlserver/admin-api/rest/v1/instances/ListServerCertificates#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/sql/docs/sqlserver/admin-api/rest/v1/instances/ListServerCertificates#body.request_body)
- [Response body](https://docs.cloud.google.com/sql/docs/sqlserver/admin-api/rest/v1/instances/ListServerCertificates#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/sql/docs/sqlserver/admin-api/rest/v1/instances/ListServerCertificates#body.InstancesListServerCertificatesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/sql/docs/sqlserver/admin-api/rest/v1/instances/ListServerCertificates#body.aspect)
- [Examples](https://docs.cloud.google.com/sql/docs/sqlserver/admin-api/rest/v1/instances/ListServerCertificates#examples)
- [Try it!](https://docs.cloud.google.com/sql/docs/sqlserver/admin-api/rest/v1/instances/ListServerCertificates#try-it)

Lists all versions of server certificates and certificate authorities (CAs) for the specified instance. There can be up to three sets of certs listed: the certificate that is currently in use, a future that has been added but not yet used to sign a certificate, and a certificate that has been rotated out. For instances not using Certificate Authority Service (CAS) server CA, use instances.listServerCas instead.

### HTTP request

`GET https://sqladmin.googleapis.com/v1/projects/{project}/instances/{instance}/listServerCertificates`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `project` | `string` Required. Project ID of the project that contains the instance. |
| `instance` | `string` Required. Cloud SQL instance ID. This does not include the project ID. |

### Request body

The request body must be empty.

### Response body

Instances instances.ListServerCertificates response.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "caCerts": [ { object (`https://docs.cloud.google.com/sql/docs/sqlserver/admin-api/rest/v1/sslCerts#SslCert`) } ], "serverCerts": [ { object (`https://docs.cloud.google.com/sql/docs/sqlserver/admin-api/rest/v1/sslCerts#SslCert`) } ], "activeVersion": string, "kind": string } ``` |

| Fields ||
|---|---|
| `caCerts[]` | ``object (`https://docs.cloud.google.com/sql/docs/sqlserver/admin-api/rest/v1/sslCerts#SslCert`)`` instances.list of server CA certificates for the instance. |
| `serverCerts[]` | ``object (`https://docs.cloud.google.com/sql/docs/sqlserver/admin-api/rest/v1/sslCerts#SslCert`)`` instances.list of server certificates for the instance, signed by the corresponding CA from the `caCerts` list. |
| `activeVersion` | `string` The `sha1Fingerprint` of the active certificate from `serverCerts`. |
| `kind` | `string` This is always `sql#instancesListServerCertificates`. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloudsql`
- `
  https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/sqlservice.admin`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).